---
lang: en
title: 'API docs: repository.event'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.event.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [Event](./repository.event.md)

## Event class

Domain events

<b>Signature:</b>

```typescript
export declare class Event 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [source](./repository.event.source.md) |  | any |  |
|  [type](./repository.event.type.md) |  | string |  |


